Update request logging settings
Enables or disables API request logging for troubleshooting.
When enabled (apiRequestLogging is true),
REST API requests and responses for the user are added to a log.
A log can have up to 50 requests/responses
and the current number of log entries can be determined
by getting the settings.
Logging is automatically disabled when the log limit of 50 is reached.
You can call Diagnostics: getRequestLog or Diagnostics: listRequestLogs to download the log files (individually or as a zip file). Call Diagnostics: deleteRequestLogs to clear the log by deleting current entries.
Private information, such as passwords and integration key information, which is normally located in the call header is omitted from the request/response log.
API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId is not logged.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Request
This endpoint expects an object: diagnosticsSettingsInformation
When true, enables API request logging for the user.
Response
When true, enables API request logging for the user.